Subject: [AAA-WG]: Issue 90: MIP-Previous-XXX AVP

From: "Martin Julien (ECE)" <[email-masked]>
Date: Mon, 25 Jun 2001 10:05:27 +0200

Submitter name: Martin Julien
Submitter email address: [email-masked] 
Date first submitted: 25-Jun-2001 
Reference: http://www.merit.edu/mail.archives/aaa-wg/msg01446.html 
Document: mobileip-06
Comment type: T
Priority: 2
Section: 2.1, 4.5, 4.6, 
Rationale/Explanation of issue: 

Requested change: 

> > 3) Section 2.1, I don't think the paragraph starting with
> > "If the MIP-Previous-FA-Host AVP...." is still applicable
> > in this draft. Can that AVP be useful at all in the current
> > solution proposed in the draft? At least, I don't see how
> > we could make use of that MIP-Previous-FA-Host AVP in the 
> > AAAH and the AAAF. Is it for future considerations?
> 
> I am not sure. Others?
> 

Thomas Panagiotis commented: "MIP/Fast interdomain handoffs?"

I agree that it could be useful for that, but in the actual draft,
that is not supported, AFAIK. So, I think it should either be removed,
since there is no clear defined use for it at this point, or be
kept with some kind of explanations how it can be useful in the
AAAF or AAAH. 

Based on the draft, the AAAF and AAAH already have
access to the User-Name, the MIP-Home-Agent-Address and 
MIP-Mobile-Node-Address, which I think is enough to get access to 
the stored MN-FA and FA-HA keys, if needed in the AAAF. Of course
that it means that the AAAF needs to be stateful, but is there any
other way of handling this? 

One way we could be using the MIP-Previous-FA-Host AVP,
would possibly be to make the AAAF stateless, which could possibly invoke
the Session-Abort message towards the Previous-FA. Would it be a
valid interpretation of that AVP or not? Does it make any sense?

> > Furthermore, I thought we had agreed that the User-Name
> > was not enough for the purpose of retrieving keys in the AAAF,
> > but would rather require the User-Name, the Home-Address and
> > the Home-Agent?
> 
> That rings a bell. I may have missed that one.
> 
> > 4) Section 2.1, in the message format, I am questionning the
> > necessity of the MIP-Previous-FA-Host and MIP-Previous-FA-Addr AVPs.
> 
> right, again, not sure. Perhaps this one should actually be a separate
> issue from the editorial ones.
>
>
> PatC
>

---

From: Pat Calhoun <[email-masked]>
Date: Tue, 26 Jun 2001 14:04:05 -0700

I cannot really justify this AVP, and am willing to eliminate it.

Any objections?

PatC